Bug 97531 - 500 error requesting article
500 error requesting article
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
high Severity medium
: ---
: ---
Assigned To: Archit Shah
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-17 09:48 EDT by Bryan Che
Modified: 2007-03-27 00:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 14:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Che 2003-06-17 09:48:27 EDT
Server is at changelist 32466.  Requesting articles led to this error:

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: poweredge1650-000-ext:80:41cd79:f5d5ff4c12 -*-*-*-
-*-*-*- Message: The beforeCommit event was fired outside of the transaction -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg,
application/x-comet, application/vnd.ms-excel, application/msword, */*
Accept-Language: en-us
Connection: Keep-Alive
Host: poweredge1650-000-ext
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Win32)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
java.lang.IllegalStateException: The beforeCommit event was fired outside of the
transaction
	at com.arsdigita.util.Assert.assertTrue(Unknown Source)
	at com.arsdigita.persistence.TransactionContext.fireBeforeCommitEvent(Unknown
Source)
	at com.arsdigita.persistence.TransactionContext.commitTxn(Unknown Source)
	at com.arsdigita.sitenode.BasePresentationManager.completeTransaction(Unknown
Source)
	at com.arsdigita.sitenode.BasePresentationManager.servePage(Unknown Source)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(Unknown Source)
	at com.arsdigita.cms.CMSExcursion.run(Unknown Source)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(Unknown Source)
	at
_packages._content_22dsection._templates._default._item__jsp._jspService(_item__jsp.java:37)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:497)
	at com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:315)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:225)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:106)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:83)
	at com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(Unknown Source)
	at com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(Unknown Source)
	at com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(Unknown Source)
	at com.arsdigita.cms.dispatcher.ContentItemDispatcher$1.excurse(Unknown Source)
	at com.arsdigita.cms.CMSExcursion.run(Unknown Source)
	at com.arsdigita.cms.dispatcher.ContentItemDispatcher.dispatch(Unknown Source)
	at com.arsdigita.cms.ContentSectionServlet.doService(Unknown Source)
	at com.arsdigita.web.BaseApplicationServlet$1.excurse(Unknown Source)
	at com.arsdigita.kernel.KernelExcursion.run(Unknown Source)
	at com.arsdigita.web.BaseApplicationServlet.doService(Unknown Source)
	at com.arsdigita.web.BaseServlet$1.excurse(Unknown Source)
	at com.arsdigita.kernel.KernelExcursion.run(Unknown Source)
	at com.arsdigita.web.BaseServlet.internalService(Unknown Source)
	at com.arsdigita.web.BaseServlet.doGet(Unknown Source)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:315)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:225)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:106)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:83)
	at com.arsdigita.web.BaseDispatcher.forward(Unknown Source)
	at com.arsdigita.web.BaseDispatcher.forward(Unknown Source)
	at com.arsdigita.web.BaseDispatcher.dispatch(Unknown Source)
	at com.arsdigita.web.DispatcherServlet.service(Unknown Source)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:315)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:246)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:139)
	at java.lang.Thread.run(Thread.java:479)


-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /__ccm__/servlet/content-section/article_10557924_0.jsp
Query string: app-id=122
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: ISO-8859-1
file.encoding.pkg: sun.io
file.separator: /
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/var/ccm-devel/web/root/cms_dev/webapps/ccm/WEB-INF/lib/jaas.jar:/var/ccm-devel/web/root/cms_dev/webapps/ccm/WEB-INF/lib/jce.jar:/var/ccm-devel/web/root/cms_dev/webapps/ccm/WEB-INF/lib/sunjce_provider.jar:/opt/apps/oracle/product/9.2.0/jdbc/lib/classes12.zip:/opt/resin/2.1.8/lib/resin.jar:/opt/resin/2.1.8/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.8/lib/jta-spec1_0_1.jar:/opt/resin/2.1.8/lib/jndi.jar:/opt/resin/2.1.8/lib/dom.jar:/opt/resin/2.1.8/lib/sax.jar:/opt/resin/2.1.8/lib/jaxp.jar:/opt/resin/2.1.8/lib/jmx.jar:/opt/resin/2.1.8/lib/webutil.jar:/opt/resin/2.1.8/lib/jdbc-mysql.jar:/opt/jdk1.3.1_08/lib/tools.jar:/opt/jdk1.3.1_08/jre/lib/rt.jar:/opt/resin/2.1.8/lib/jsdk23.jar
java.class.version: 47.0
java.ext.dirs: /usr/java/jdk1.3.1_08/jre/lib/ext
java.home: /usr/java/jdk1.3.1_08/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/java/jdk1.3.1_08/jre/lib/i386:/usr/java/jdk1.3.1_08/jre/lib/i386/native_threads/:/usr/java/jdk1.3.1_08/jre/lib/i386/client:/usr/java/jdk1.3.1_08/jre/../lib/i386:/opt/apps/oracle/product/9.2.0/lib:/opt/apps/oracle/product/9.2.0/ctx/lib:/usr/lib:/usr/local/lib:/opt/apps/oracle/product/9.2.0/JRE/lib/linux/native_threads:/opt/resin/2.1.8/libexec
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1_08-b03
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: Sun Microsystems Inc.
java.vendor.url: http://java.sun.com/
java.vendor.url.bug: http://java.sun.com/cgi-bin/bugreport.cgi
java.version: 1.3.1_08
java.vm.info: mixed mode
java.vm.name: Java HotSpot(TM) Client VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: Sun Microsystems Inc.
java.vm.version: 1.3.1_08-b03
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: com.caucho.xml.Xml
os.arch: i386
os.name: Linux
os.version: 2.4.9-e.24smp
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /opt/resin/2.1.8
sun.boot.class.path:
/usr/java/jdk1.3.1_08/jre/lib/rt.jar:/usr/java/jdk1.3.1_08/jre/lib/i18n.jar:/usr/java/jdk1.3.1_08/jre/lib/sunrsasign.jar:/usr/java/jdk1.3.1_08/jre/classes
sun.boot.library.path: /usr/java/jdk1.3.1_08/jre/lib/i386
sun.cpu.endian: little
sun.cpu.isalist: 
sun.io.unicode.encoding: UnicodeLittle
user.dir: /opt/resin/2.1.8
user.home: /root
user.language: en
user.name: root
user.region: US
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Bryan Che 2003-06-20 14:38:13 EDT
requested article 5,000 times with no error

Note You need to log in before you can comment on or make changes to this bug.